package recipe

import "github.com/spf13/cobra"

// RecipeCommand defines all recipe related sub-commands.
var RecipeCommand = &cobra.Command{
	Use:     "recipe [cmd] [args] [flags]",
	Aliases: []string{"r"},
	Short:   "Manage recipes",
	Long: `A recipe is a blueprint for an app.

It is a bunch of config files which describe how to deploy and maintain an app.
Recipes are maintained by the Co-op Cloud community and you can use Abra to
read them, deploy them and create apps for you.

Anyone who uses a recipe can become a maintainer. Maintainers typically make
sure the recipe is in good working order and the config upgraded in a timely
manner.`,
}
