#!/usr/bin/env bash

setup_file(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
  _add_server
  _new_app
}

teardown_file(){
  _rm_app
  _rm_server
  _reset_recipe
}

setup(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

teardown(){
  _undeploy_app
  _reset_recipe
}

@test "rollback writes version to env file" {
  run $ABRA app deploy "$TEST_APP_DOMAIN" "0.2.0+1.21.0" \
    --no-input --no-converge-checks
  assert_success

  run grep -q "TYPE=abra-test-recipe:0.2.0+1.21.0" \
    "$ABRA_DIR/servers/$TEST_SERVER/$TEST_APP_DOMAIN.env"
  assert_success

  run $ABRA app rollback "$TEST_APP_DOMAIN" "0.1.0+1.20.0" \
    --no-input --no-converge-checks --debug
  assert_success

  run grep -q "TYPE=abra-test-recipe:0.1.0+1.20.0" \
    "$ABRA_DIR/servers/$TEST_SERVER/$TEST_APP_DOMAIN.env"
  assert_success
}
