#!/usr/bin/env bash

setup() {
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

@test "reset unstaged changes" {
  run $ABRA recipe fetch "$TEST_RECIPE"
  assert_success

  run sed -i '/traefik.enable=.*/d' "$ABRA_DIR/recipes/$TEST_RECIPE/compose.yml"
  assert_success

  run $ABRA recipe diff "$TEST_RECIPE"
  assert_success
  assert_output --partial 'traefik.enable'

  run $ABRA recipe reset "$TEST_RECIPE"
  assert_success

  run $ABRA recipe diff "$TEST_RECIPE"
  assert_success
  refute_output --partial 'traefik.enable'
}
